OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.NV.RegisterCombiners2

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_register_combiners2 extension not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/register_combiners2.txt.

Synopsis

- glCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- glGetCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()
- gl_PER_STAGE_CONSTANTS :: GLenum
- gl_CONSTANT_COLOR0 :: GLenum
- gl_CONSTANT_COLOR1 :: GLenum
- gl_COMBINER0 :: GLenum
- gl_COMBINER1 :: GLenum
- gl_COMBINER2 :: GLenum
- gl_COMBINER3 :: GLenum
- gl_COMBINER4 :: GLenum
- gl_COMBINER5 :: GLenum
- gl_COMBINER6 :: GLenum
- gl_COMBINER7 :: GLenum

# Functions

glCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()

glGetCombinerStageParameterfv :: GLenum -> GLenum -> Ptr GLfloat -> IO ()

# Tokens

gl_PER_STAGE_CONSTANTS :: GLenum

gl_CONSTANT_COLOR0 :: GLenum

gl_CONSTANT_COLOR1 :: GLenum

gl_COMBINER0 :: GLenum

gl_COMBINER1 :: GLenum

gl_COMBINER2 :: GLenum

gl_COMBINER3 :: GLenum

gl_COMBINER4 :: GLenum

gl_COMBINER5 :: GLenum

gl_COMBINER6 :: GLenum

gl_COMBINER7 :: GLenum